> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Exchange Rate

> flick exchange rate



## OpenAPI

````yaml /openapi/connect.json get /merchant/exchange-rate
openapi: 3.0.2
info:
  title: Flick Connect API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Transmit KYB
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Connect API
    description: Bank Linking
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /merchant/exchange-rate:
    get:
      tags:
        - ''
      summary: Exchange Rate
      description: flick exchange rate
      operationId: getting exchange rate
      parameters:
        - name: from_currency
          in: query
          description: Currency could be NGN or USD or CAD or GBP
          schema:
            type: string
            enum:
              - NGN
              - USD
              - GBP
              - CAD
            example: NGN
          required: true
        - name: to_currency
          in: query
          description: Note * Either from_currency or to_currency must have NGN
          schema:
            type: string
            enum:
              - NGN
              - USD
              - GBP
              - CAD
            example: USD
          required: true
        - name: amount
          in: query
          description: ''
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExchangeResponse'
        '404':
          description: Not Found
      security:
        - bearerAuth: []
components:
  schemas:
    ExchangeResponse:
      type: object
      properties:
        data:
          type: string
          example: 1 USD = 1076 NGN
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.